import { Button } from 'antd';
import React from 'react';
import './version.scss';

function Empty({operation,addFunc}) {
  return(
    <div className="emptyPanel color-grey-3">
      <i className="iconfont icon-banbenicon font-50 color-grey-3" style={{height:"50px",lineHeight:"50px",marginBottom:"13px"}}></i>
      <span className="weight font-26 mb15">这里暂未发布过任何版本</span>
      <span className="weight400" style={{textAlign:"center",lineHeight:"20px"}}>发行版功能基于仓库中的历史标记<br/>建议使用类似 V1.0 的版本标记作为发布点</span>
      <div className="operation">
        {
          operation ?
          <Button type={"primary"} onClick={addFunc} className="btnblue" style={{width:"118px",height:"36px"}}>发布新版本</Button>
          :
          <span className="color-grey-3 weight font-16">该项目暂时没有发布版本</span>
        }
      </div>
    </div>
  )
}
export default Empty;