import fetch from './fetch';

// 获取消息列表
export function noticePages(params) {
  return fetch({
    url: '/api/notice/noticePages',
    method: 'get',
    params
  });
}

// 获取单个notice
export function getNotice(params) {
  return fetch({
    url: '/api/notice/getNotice',
    method: 'get',
    params
  });
}

//新增notice
export function addNotice(data) {
  return fetch({
    url: '/api/notice/createNotice',
    method: 'post',
    data: data
  });
}

//更新notice
export function updateNotice(data) {
  return fetch({
    url: '/api/notice/updateNotice',
    method: 'PUT',
    data: data
  });
}

//删除notice
export function deleteNotice(data) {
  return fetch({
    url: '/api/notice/deleteNotice',
    method: 'DELETE',
    data,
  });
}
