import React from 'react';
import styled from 'styled-components';

export default ({title , value , className})=>{
  const Keys = styled.span`
    display:flex;
    align-items:center;
    & span{
      display:block;
      height:20px;
      line-height:20px;
      border-radius:18px;
      padding:0px 12px;
      color:#FD7700;
      border:1px solid #FD7700;
      background-color:#fff3DC;
      ${ title && "margin-left:10px;"}
    }
`;
  return(
    <Keys className={className}>
      { title && <label>{title}</label>}
      <span>{value}</span>
    </Keys>
  )
}