import React from 'react';
import { Modal , Button } from 'antd';
import './Component.scss';

function Modals({visible,title,content,onOk,onCancel}){
  return(
    <Modal
      className="modalsStyle"
      visible={visible}
      title={title}
      onCancel={onCancel}
      closable={true}
      footer={
        <div>
          <Button onClick={onCancel}>取消</Button>
          <Button type={"primary"} style={{marginLeft:"20px"}} onClick={onOk}>确定</Button>
        </div>
      }
    >
      <div style={{fontSize:"16px"}}>{content}</div>
    </Modal>
  )
}
export default Modals;
