import React from 'react';
import { Modal } from 'antd';
import './Index.scss';

function Modals({title,children,btn,onCancel,visible}) {
  return(
    <Modal
      visible={visible}
      onCancel={onCancel}
      title={title}
      width={"520px"}
      footer={btn}
      centered={true}
      wrapClassName={"deleteBox"}
    >
      {children}
    </Modal>
  )
}
export default Modals;